package list;
/** 
   A driver that demonstrates the class LList.  Students will write JUnit
   Tests for lab this week.  Note that without toString, hard to debug!
   The list.Alist implementation in CarranoDataStructuresLib does have toString
   implemented.  Also note that this uses an implementation that
    starts with index 1.
   
   @author Frank M. Carrano
   @author Timothy M. Henry
   @author maellis1
   @version 
*/
public class DriverEllis
{
   public static void main(String[] args)
   {
      //Create an empty list
      ListInterface<String> myList = new LinkedList<>();
      
      myList.add("15");
      myList.add("25");
      myList.add("35");
      myList.add("45");
      //Demonstrating add to end, List should now contain 15 25 35 45
      
      myList.add(2, "20");
      //Demonstrating to middle, List should now contain 15 25 20 35 45
      
      myList.add(0, "10");
      //Demonstrating add to beginning, 
      //List should now contain 10 15 25 20 35 45 
      
      myList.add(6, "55");
      //Demonstrating add to end, 
      //List should now contain 10 15 25 20 35 45 55
      
      myList.remove(0);
      //Removing first, 
      //List should now contain 15 25 20 35 45 55
      
      myList.remove(5);
      //Removing last, List should now contain 15 25 20 35 45
      
      myList.remove(3);
      //Removing middle, List should now contain  15 25 20 45
      
      myList.replace(2,"25");
      //Replacing middle, List should now contain  15 25 25 45

   } // end main
   
 
}  // end Listing14_2

